Subject: Re: [regression] e1000e broke e1000

From: Ingo Molnar <[email-masked]>
Date: Tue, 8 Apr 2008 22:06:52 +0200

* Jeff Garzik <[email-masked]> wrote:

> Then disable E1000E in your kernel config, and the PCIE() macro will 
> do the right thing...

it is an obvious regression that could and should be solved in the 
Kconfig space: do not allow E1000=y && E1000E=m.

i repeat, it took me more than an hour to figure out why there's no 
networking on my laptop. Guess how much it takes for a plain user to 
figure out the same problem.

	Ingo

-------------------------------------------------------------------------
This SF.net email is sponsored by the 2008 JavaOne(SM) Conference 
Register now and save $200. Hurry, offer ends at 11:59 p.m., 
Monday, April 7! Use priority code J8TLD2. 
http://ad.doubleclick.net/clk;198757673;13503038;p?http://java.sun.com/javaone